spectacle_0.25-1_all.deb


Advertisement

Description

spectacle - RPM Spec file generator and management tool

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: spectacle
Package version: 0.25
Package release: 1
Package architecture: all
Package type: deb
Installed size: 496 B
Download size: 64.68 KB
Official Mirror: archive.ubuntu.com
Spectacle is a tool for managing and creating RPM spec files. It includes the tool to generate spec files from metadata file in YAML format, and tools to convert spec files or spec-builder's ini files to YAML format. For spectacle managed packages, all generic packaging information will be stored in the YAML file, and it also allows maintaining customizations in the spec file directly with special enclosure tags. The following tools are installed: * specify the tool to generate or to update spec file, based on YAML * ini2spectacle the tool to convert spec-builder .ini to YAML and new spec file * spec2spectacle the tool to convert original spec to YAML and new spec file

Alternatives

    Download

    Binary package: spectacle_0.25-1_all.deb
    Source package: spectacle

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install spectacle deb package:
      # sudo apt-get install spectacle

    Files

    • /usr/bin/deb2spectacle
    • /usr/bin/ini2spectacle
    • /usr/bin/spec2spectacle
    • /usr/bin/specify
    • /usr/lib/python2.7/dist-packages/spectacle-0.25.egg-info
    • /usr/lib/python2.7/dist-packages/spectacle/__init__.py
    • /usr/lib/python2.7/dist-packages/spectacle/__version__.py
    • /usr/lib/python2.7/dist-packages/spectacle/convertor.py
    • /usr/lib/python2.7/dist-packages/spectacle/deb822.py
    • /usr/lib/python2.7/dist-packages/spectacle/dumper.py
    • /usr/lib/python2.7/dist-packages/spectacle/logger.py
    • /usr/lib/python2.7/dist-packages/spectacle/specify.py
    • /usr/lib/python2.7/dist-packages/spectacle/vercmp.py
    • /usr/lib/python2.7/dist-packages/spectacle/dsc/__init__.py
    • /usr/lib/python2.7/dist-packages/spectacle/dsc/dsc.py
    • /usr/lib/python2.7/dist-packages/spectacle/spec/__init__.py
    • /usr/lib/python2.7/dist-packages/spectacle/spec/spec.py
    • /usr/share/doc/spectacle/README.html
    • /usr/share/doc/spectacle/README.md.gz
    • /usr/share/doc/spectacle/TODO
    • /usr/share/doc/spectacle/changelog.Debian.gz
    • /usr/share/doc/spectacle/copyright
    • /usr/share/doc/spectacle/examples/xfce4-session.yaml
    • /usr/share/spectacle/GROUPS
    • /usr/share/spectacle/pkgconfig-provides.csv

    Changelog

    2014-05-10 - Philippe Coval <rzr@gna.org> spectacle (0.25-1) unstable; urgency=low * New upstream release. * install README* to docs * Adopt package (Closes: #641955) * Make build reproducible (Closes: 775996) * Fix dependency to python2

    2014-03-31 - Emanuele Rocca <ema@debian.org> spectacle (0.22-2) unstable; urgency=low * QA upload. * Maintainer field set to QA Group. * Bump Standards-Version to 3.9.5. * Set debhelper compatibility level to 9. * Call dh(1) with python_support.

    2011-02-25 - Fathi Boudra <fabo@debian.org> spectacle (0.22-1) unstable; urgency=low * New upstream release.

    2010-12-08 - Fathi Boudra <fabo@debian.org> spectacle (0.21-1) unstable; urgency=low * New upstream release.

    2010-09-21 - Fathi Boudra <fabo@debian.org> spectacle (0.20-1) unstable; urgency=low * New upstream release.

    2010-08-24 - Fathi Boudra <fabo@debian.org> spectacle (0.19-1) unstable; urgency=low * New upstream release.

    2010-08-14 - Fathi Boudra <fabo@debian.org> spectacle (0.18+git24+bc1c8ce-1) unstable; urgency=low * New upstream snapshot.

    2010-08-08 - Fathi Boudra <fabo@debian.org> spectacle (0.18+git19+4768025-1) unstable; urgency=low * Initial release (Closes: #592311)

    Advertisement
    Advertisement